/*******************************************************************************
 * Copyright (c) 2006, 2018 IBM Corporation and others.
 *
 * This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License 2.0
 * which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

/*******************************************************************************
 * Modified by Xilinx,Inc
 * Copyright 2022 Xilinx, Inc. All Rights Reserved. Modifications
 * are made available under the terms of the Eclipse Public License 2.0
 * which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-2.0/
 *
 *******************************************************************************/

package org.eclipse.tcf.internal.dap.command;

import org.eclipse.tcf.commands.ICommandParticipant;
import org.eclipse.tcf.dap.IStatus;

/**
 * Plain status collector for actions. Has no result.
 *
 * @since 3.3
 *
 */
public class ExecuteActionRequest extends DebugCommandRequest {

    private ICommandParticipant fParticipant = null;

    public ExecuteActionRequest(Object[] elements) {
        super(elements);
    }

    @Override
    public void done() {
        if (fParticipant != null) {
            fParticipant.requestDone(this);
            fParticipant = null;
        }
        final IStatus status = getStatus();
        //TODO:
//        if (status != null) {
//            switch (status.getSeverity()) {
//                case IStatus.ERROR:
//                    DebugUIPlugin.getStandardDisplay().asyncExec(() -> MessageDialog.openError(DebugUIPlugin.getShell(), DebugUIMessages.DebugUITools_Error_1, status.getMessage()));
//                    break;
//                case IStatus.WARNING:
//                    DebugUIPlugin.getStandardDisplay().asyncExec(() -> MessageDialog.openWarning(DebugUIPlugin.getShell(), DebugUIMessages.DebugUITools_Error_1, status.getMessage()));
//                    break;
//                case IStatus.INFO:
//                    DebugUIPlugin.getStandardDisplay().asyncExec(() -> MessageDialog.openInformation(DebugUIPlugin.getShell(), DebugUIMessages.DebugUITools_Error_1, status.getMessage()));
//                    break;
//                default:
//                    break;
//            }
//        }
    }

    public void setCommandParticipant(ICommandParticipant participant) {
        fParticipant = participant;
    }

}
